# Update an order data extension

Fully updates a data extension for an order, replacing the entire resource including all the key-value pairs with the data you send in the request.

To update certain key-value pairs only, use the Partially update a data extension endpoint instead.

Endpoint: PUT /v2.1/orders/{orderRef}/extensions/{dataExtensionName}
Version: v2.1
Security: BasicAuth

## Security:

  - `BasicAuth` (unknown)
    http basic

## Path parameters:

  - `orderRef` (string, required)

  - `dataExtensionName` (string, required)

## Request fields (application/json):

  - `{exampleKey1}` (string | boolean | integer | number)
    A key-value pair of your choice.
Supported data types for the values: string, boolean, integer, floating-point number.
Example: `"firstTimeOrder": true`
    Example: {exampleValue1}

  - `{exampleKey2}` (string | boolean | integer | number)
    A key-value pair of your choice.
Supported data types for the values: string, boolean, integer, floating-point number.
Example:`"storeLocation": "London"`
    Example: {exampleValue2}

## Response 200:

  - `200` (unknown)
    Successful operation

## Response 200 fields (application/json):

  - `name` (string)
    The name of the data extension.
    Example: ext

  - `href` (string)
    The URL of the order extension.
    Example: https://api-engage-eu.sitecorecloud.io/v2.1/orders/f7aabbca-1c1b-4fc2-be72-3e16294a4f03/extensions/ext

  - `ref` (string)
    The order extension reference.
    Example: 6a5cb3c2-1a4a-56d8-8a01-1ede232b9db2

  - `key` (string)
    The value `"default"`.
    Example: default

  - `createdAt` (string)
    The date and time when the resource was created in Sitecore CDP.
    Example: 2024-01-01T16:17:16Z

  - `modifiedAt` (string)
    The date and time when the resource was last updated in Sitecore CDP.
    Example: 2024-01-01T16:17:16Z

  - `{exampleKey1}` (string | boolean | integer | number)
    A key-value pair of your choice.
Supported data types for the values: string, boolean, integer, floating-point number.
Example: `"firstTimeOrder": true`
    Example: {exampleValue1}

  - `{exampleKey2}` (string | boolean | integer | number)
    A key-value pair of your choice.
Supported data types for the values: string, boolean, integer, floating-point number.
Example:`"storeLocation": "London"`
    Example: {exampleValue2}

  - `order` (object)
    The request's first list of orders URL.

  - `order.href` (string)
    Example: https://api-engage-eu.sitecorecloud.io/v2.1/orders?guestRef=2d7de9df-45a2-45ea-872c-30e45139007d&offset=1&limit=10

## Response 400:

  - `400` (unknown)
    Bad request

## Response 400 fields (application/json):

  - `status` (integer)
    The HTTP request status.
    Example: 400

  - `code` (integer)
    The HTTP response status code.
    Example: 400

  - `message` (string)
    Error description.
    Example: Unable to parse JSON string

  - `developerMessage` (string)
    Error description for developers.
    Example: JSON parse error [line: 7, column: 6].

  - `moreInfoUrl` (string)
    URL to get more information about the error.
    Example: http://support.sitecore.com

